Chuyển đến nội dung chính
POST
/
v1
/
veo
/
ingredients-to-video
curl -N -X POST https://genaipro.vn/api/v1/veo/ingredients-to-video \
  --header 'Authorization: Bearer <token>' \
  -F "reference_images=@image1.png" \
  -F "reference_images=@image2.png" \
  -F "prompt=Create a video combining these ingredients" \
  -F "number_of_videos=2"
event: video_generation_status
data: "starting"

event: video_generation_status
data: "uploading_images"

event: video_generation_status
data: "processing"

event: video_generation_complete
data: [{"id":"abc123","prompt":"Create a video combining these ingredients","file_url":"https://example.com/video1.mp4","status":"MEDIA_GENERATION_STATUS_SUCCESSFUL","created_at":"2026-03-30T10:00:00Z"}]
Tạo video từ 1–3 ảnh tham chiếu và prompt văn bản. Sử dụng multipart/form-data. Tỷ lệ khung hình cố định là landscape. Response được stream qua Server-Sent Events (SSE).

Tham số Body (multipart/form-data)

reference_images
file[]
bắt buộc
Các file ảnh tham chiếu (1–3 ảnh bắt buộc)
prompt
string
bắt buộc
Mô tả hướng dẫn tạo video
number_of_videos
string
bắt buộc
Số video cần tạo (1–4). Gửi dạng chuỗi trong form data.
curl -N -X POST https://genaipro.vn/api/v1/veo/ingredients-to-video \
  --header 'Authorization: Bearer <token>' \
  -F "reference_images=@image1.png" \
  -F "reference_images=@image2.png" \
  -F "prompt=Create a video combining these ingredients" \
  -F "number_of_videos=2"

SSE Events

Response stream các event sau:
EventDataMô tả
video_generation_status"starting"Bắt đầu tạo video
video_generation_status"uploading_images"Đang upload ảnh tham chiếu
video_generation_status"processing"Đang xử lý video
video_generation_completeMảng history objectsHoàn thành
errorError objectCó lỗi xảy ra
event: video_generation_status
data: "starting"

event: video_generation_status
data: "uploading_images"

event: video_generation_status
data: "processing"

event: video_generation_complete
data: [{"id":"abc123","prompt":"Create a video combining these ingredients","file_url":"https://example.com/video1.mp4","status":"MEDIA_GENERATION_STATUS_SUCCESSFUL","created_at":"2026-03-30T10:00:00Z"}]